curl --request POST \
--url 'https://api.nsr.stateset.com/api/v1/auth/signup' \
--header "X-API-Key: $STATESET_NSR_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"email": "ada.lovelace@example.com",
"org_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"password": "YOUR_API_KEY"
}'
{
"api_key": "YOUR_API_KEY",
"api_key_created_at": "2026-08-31T14:22:05Z",
"api_key_prefix": "YOUR_API_KEY",
"email": "ada.lovelace@example.com",
"org_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"user_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
Create a new user account and return an API key.
Required scope: write
POST
/
api
/
v1
/
auth
/
signup
curl --request POST \
--url 'https://api.nsr.stateset.com/api/v1/auth/signup' \
--header "X-API-Key: $STATESET_NSR_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"email": "ada.lovelace@example.com",
"org_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"password": "YOUR_API_KEY"
}'
{
"api_key": "YOUR_API_KEY",
"api_key_created_at": "2026-08-31T14:22:05Z",
"api_key_prefix": "YOUR_API_KEY",
"email": "ada.lovelace@example.com",
"org_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"user_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
Required scope:
write
Request body
AuthSignupRequest
string
required
string
Reserved for backward compatibility. Public signup does not allow overriding org_id.
string
required
Response
AuthResponse
string
required
string
required
string
required
string
required
string
required
string
required
Status codes
| Code | Meaning |
|---|---|
201 | User created |
401 | Unauthorized — missing or invalid credentials |
403 | Forbidden — the key/token lacks the required scope |
429 | Rate limited — see Retry-After / X-RateLimit-Reset |
curl --request POST \
--url 'https://api.nsr.stateset.com/api/v1/auth/signup' \
--header "X-API-Key: $STATESET_NSR_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"email": "ada.lovelace@example.com",
"org_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"password": "YOUR_API_KEY"
}'
{
"api_key": "YOUR_API_KEY",
"api_key_created_at": "2026-08-31T14:22:05Z",
"api_key_prefix": "YOUR_API_KEY",
"email": "ada.lovelace@example.com",
"org_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"user_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
Last modified on August 31, 2026